Problema Da 1.6 a 1.8

RE: Da 1.6 a 1.8

#1
Salve,
anni fa feci un forum con MyBB 1.6.12 in uno spazio gestito da Php5 in cui c'era anche un wordpress

Adesso dobbiamo aggiornare Wordpress che nella versione corrente necessita di Php7 e il problema è che il mio forum con il nuovo Php non funziona (sperimentato)

Quindi bisognerebbe che riuscissi ad aggiornare il vecchio forum a una versione 1.8.x che giri con il nuovo Php

Ma come fare a non perdere tutti i contenuti?
Avrebbe senso salvare le tabelle dal vecchio database e sostituirle a quelle del nuovo?

Ringrazio in anticipo per qualsiasi dritta 

Non ho trovato nessuno script di update che preveda di partire da una versione di MyBB così datata
 

RE: Da 1.6 a 1.8

#2
(24-11-2019, 23:57)zafran Ha scritto: Salve,
anni fa feci un forum con MyBB 1.6.12 in uno spazio gestito da Php5 in cui c'era anche un wordpress

Adesso dobbiamo aggiornare Wordpress che nella versione corrente necessita di Php7 e il problema è che il mio forum con il nuovo Php non funziona (sperimentato)

Quindi bisognerebbe che riuscissi ad aggiornare il vecchio forum a una versione 1.8.x che giri con il nuovo Php

Ma come fare a non perdere tutti i contenuti?
Avrebbe senso salvare le tabelle dal vecchio database e sostituirle a quelle del nuovo?

Ringrazio in anticipo per qualsiasi dritta 

Non ho trovato nessuno script di update che preveda di partire da una versione di MyBB così datata

Provato con la documentazione ufficiale? Link
 

RE: Da 1.6 a 1.8

#3
Ovviamente sì
Infatti ho detto
Citazione:Non ho trovato nessuno script di update che preveda di partire da una versione di MyBB così datata

Nella documentazione
Citazione:Full Upgrade
If your current version is more than one point below the newest version, you need to make a full upgrade. For example, if you’re using 1.6.1 and the newest version is 1.6.4, then you need a full upgrade. The same applies if you’re using 1.6.x and you’re upgrading to 1.8.x. You need to use the latest version of the software.

Ma se le tabelle si chiamano diversamente, risulterà impossibile reimportare quelle vecchie.

Questo è quello che chiedevo
 

RE: Da 1.6 a 1.8

#4
(05-12-2019, 14:32)zafran Ha scritto: Ovviamente sì
Infatti ho detto

Nella documentazione

Ma se le tabelle si chiamano diversamente, risulterà impossibile reimportare quelle vecchie.

Questo è quello che chiedevo

Ma non è compito tuo (nel senso che non devi farlo tu a manina) aggiornare il DB.
Questo è appunto quanto fa (o dovrebbe fare) lo script.
Ed è questo che è scritto su quella documentazione. NON c'è scritto che NON si può fare, ma che per salti così grandi bisogna fare in maniera differente.

Dalla documentazione ufficiale, proprio in quel passaggio, viene indicato come possibile il passo.

Vale sempre l'imperativo: Fare prima backup completo e testare su copia locale. Mai direttamente in produzione.

Io ti consiglio di proseguire in questa maniera

- Fai backup di tutto, files e DB;
- Metti su una copia in locale dal backup;
- Su questa copia, dopo aver disabilitato tutti i plugin ed essere tornato alla skin di defalt, inizia il processo di upgrade (FULL)
- Verifica che tutto sia andato per il verso giusto
- E quindi ripristina temi e plug in (compatibili alla nuova versione)

Se in uno qualunque di questi passaggi incontri difficoltà, magari si cerca di vederlo qui.
 
  

Vai al forum:


Utenti in questa pagina: 1 Ospite(i)